For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Token-based authentication with required prefix “Bearer”
Path parameters
idstringRequiredformat: "uuid"
Headers
X-Account-TokenstringRequired
Token identifying the end user.
Query parameters
expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional
Whether to include the original data Merge fetched from the third-party to produce these models.
include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional
Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
remote_fieldsenumOptional
Deprecated. Use show_enum_origins.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Response
idstringOptionalRead-onlyformat: "uuid"
remote_idstring or nullOptional
The third-party API ID of the matching object.
created_atdatetimeOptionalRead-only
The datetime that this object was created by Merge.
modified_atdatetimeOptionalRead-only
The datetime that this object was modified by Merge.
namestring or nullOptional
The ticket's name.
assigneeslist of stringsOptional
The individual Users who are assigned to this ticket. This does not include Users who just have view access to this ticket. To fetch all Users and Teams that can access the ticket, use the GET /tickets/{ticket_id}/viewersendpoint.
assigned_teamslist of stringsOptional
The Teams that are assigned to this ticket. This does not include Teams who just have view access to this ticket. To fetch all Users and Teams that can access this ticket, use the GET /tickets/{ticket_id}/viewersendpoint.
creatorstring or nullOptionalformat: "uuid"
The user who created this ticket.
due_datedatetime or nullOptional
The ticket's due date.
statusenum or nullOptional
The current status of the ticket.
Allowed values:
descriptionstring or nullOptional
The ticket’s description. HTML version of description is mapped if supported by the third-party platform.
collectionslist of stringsOptional
The Collections that this Ticket is included in.
ticket_typestring or nullOptional
The sub category of the ticket within the 3rd party system. Examples include incident, task, subtask or to-do.
accountstring or nullOptionalformat: "uuid"
The account associated with the ticket.
contactstring or nullOptionalformat: "uuid"
The contact associated with the ticket.
parent_ticketstring or nullOptionalformat: "uuid"
The ticket's parent ticket.
attachmentslist of stringsOptional
access_levelenum or nullOptional
The description of who is able to access a given ticket, or where access is inherited from.
Allowed values:
permissionslist of objectsOptionalRead-only
tagslist of stringsOptional
roleslist of stringsOptional
ticket_urlstring or nullOptionalformat: "uri"<=2000 characters
The 3rd party url of the Ticket.
priorityenum or nullOptional
The priority or urgency of the Ticket.
Allowed values:
remote_created_atdatetime or nullOptional
When the third party's ticket was created.
remote_updated_atdatetime or nullOptional
When the third party's ticket was updated.
completed_atdatetime or nullOptional
When the ticket was completed.
remote_was_deletedbooleanOptionalRead-only
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.
field_mappingsobject or nullOptionalRead-only
remote_datalist of objects or nullOptionalRead-only
remote_fieldslist of objectsOptionalRead-only
A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more